attachToMesh

Attaches the specified transactions (trytes) to the Mesh by doing Proof of Work. You need to supply branchTransaction as well as trunkTransaction (basically the tips which you're going to validate and reference with this transaction) - both of which you'll get through the getTransactionsToApprove API call.

FieldDescription
tryteThe returned value is a different set of tryte values which you can input into broadcastTransactions and storeTransactions. The returned tryte value, the last 243 trytes basically consist of the: trunkTransaction + branchTransaction + nonce. These are valid trytes which are then accepted by the network.
Body Params
string
required
Defaults to attachToMesh
string
required

Trunk transaction to approve.

string
required

Branch transaction to approve.

int32
required
Defaults to 18

Proof of Work intensity. Minimum value is 18.

string
required

List of trytes (raw transaction data) to attach to the Mesh.

Responses

Language
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json